# Setup

1\. Ensure that your Minimum SDK version is at least API level 22 or above ( Android 5.1 ). In case your android project compiles for API level below 22, you can include the following line in your AndroidManifest.xml file to avoid any compilation issues :

Copy

```
<uses-sdk tools:overrideLibrary="com.truecaller.android.sdk"/> 
```

Using this would ensure that the sdk works normally for API level 22 & above, and would be disabled for API level < 22 Please make sure that you put the necessary API level checks before accessing the SDK methods in case compiling for API level < 22

2\. Add the following dependency in your app level **build.gradle** file :

Copy

```
dependencies {
    ...
    implementation "com.truecaller.android.sdk:truecaller-sdk:2.8.0"
}
```

Also, add the following lines of code in your gradle file, if not already present

Copy

```
android{
    compileOptions{
         sourceCompatibility JavaVersion.VERSION_1_8
         targetCompatibility JavaVersion.VERSION_1_8
    }
}
```

Add *mavenCentral*() in your project level **build.gradle** file :

Copy

```
allprojects{ 
    repositories{ 
       ...
       mavenCentral()
       ... 
    } 
 }
```

{% hint style="info" %}
*Please note that Truecaller SDK already contains consumer proguard rules,* *so it will be appended automatically to your app's proguard rules* *and you do not need to have any additional proguard rules to be added for the SDK to function.*
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.truecaller.com/truecaller-sdk/android/sdk-v2.8.0-deprecating-soon/integrating-with-your-app/setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
